Package twisted :: Package web :: Module xmlrpc

[frames | no frames]

## Module twisted.web.xmlrpc

A generic resource for publishing objects via XML-RPC.

Requires xmlrpclib (comes standard with Python 2.2 and later, otherwise can be downloaded from http://www.pythonware.com/products/xmlrpc/).

API Stability: semi-stable

Maintainer: Itamar Shtull-Trauring

Classes
`Handler` | Handle a XML-RPC request and store the state for a request in progress.
`Proxy` | A Proxy for making remote XML-RPC calls.
`QueryFactory` |
`QueryProtocol` |
`XMLRPC` | A resource that implements XML-RPC.
`XMLRPCIntrospection` | Implement the XML-RPC Introspection API.

Exceptions
`NoSuchFunction` | There is no function by the given name.

Function Summary
| ``addIntrospection`(xmlrpc)` Add Introspection support to an XMLRPC server.

Variable Summary
`str` | `__version__` = `'1.32'`
`int` | `FAILURE` = 8002
`int` | `NOT_FOUND` = 8001
`str` | `payloadTemplate` = `'<?xml version="1.0"?>\n<methodCall>\n...`

Function Details

### addIntrospection(xmlrpc)

Add Introspection support to an XMLRPC server.

  Parameters:
    `xmlrpc` - The xmlrpc server to add Introspection support to.

Variable Details

### __version__

  Type:
    `str`
  Value:

        '1.32'

### FAILURE

  Type:
    `int`
  Value:

        8002

### NOT_FOUND

  Type:
    `int`
  Value:

        8001

### payloadTemplate

  Type:
    `str`
  Value:

        '''<?xml version="1.0"?>
        <methodCall>
        <methodName>%s</methodName>
        %s
        </methodCall>
        '''

Generated by Epydoc 2.0 on Sat May 15 20:08:57 2004 | http://epydoc.sf.net